#-*- coding: utf-8 -*-
#
# Indicator-Privacy - Unity appindicator to switch privacy settings
#                     http://www.florian-diesch.de/software/indicator-privacy/
#
# Copyright (C) 2013 Florian Diesch <devel@florian-diesch.de>
#
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#


from gi.repository import AppIndicator3 as appindicator
import os.path
import xdg.BaseDirectory

from . import _meta

APP_NAME = 'Privacy Indicator'
app_name = 'indicator-privacy'
APP_VERSION = _meta.VERSION

APP_DESC = _meta.DESC
APP_AUTHOR = _meta.AUTHOR_NAME
APP_AUTHOR_EMAIL = _meta.AUTHOR_EMAIL
APP_TIMESTAMP = _meta.TIMESTAMP
APP_YEAR = 2013

LOGO = 'indicator-privacy'
ICON = 'indicator-privacy-panel'
CATEGORY = appindicator.IndicatorCategory.SYSTEM_SERVICES
DEFAULT_STATUS = appindicator.IndicatorStatus.ACTIVE

GETTEXT_DOMAIN=app_name

WEB_URL = 'http://www.florian-diesch.de/software/%s/' % app_name
PAYPAL_URL = 'https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=DJCGEPS4746PU'
FLATTR_URL = 'http://flattr.com/thing/1123333/Privacy-Indicator'
TRANSLATIONS_URL = 'https://translations.launchpad.net/%s' % app_name
BUGREPORT_URL = 'https://bugs.launchpad.net/%s/+filebug' % app_name
QUESTION_URL = 'https://answers.launchpad.net/%s/+addquestion' % app_name
SOURCECODE_URL = 'https://code.launchpad.net/%s' % app_name

XDG_DATA_HOME = xdg.BaseDirectory.xdg_data_home
THUMBS_CACHE_PATH = os.path.expanduser(os.path.join('~/.cache', 'thumbnails'))
GVFS_METADATA_PATH = os.path.join(XDG_DATA_HOME, 'gvfs-metadata')
LIBDVDCSS_KEYS_PATH = os.path.expanduser(os.path.join('~', '.dvdcss'))
